curl --request PUT \
--url https://{instance}.domo.com/api/datastores/v1/collections/{collectionId} \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"name": "My new name"
}
'{
"id": "232e6d6c-46e9-49b6-a137-8933f0f05999",
"datastoreId": "39b88a97-8247-4c0d-ba1d-8ed78d1a6680",
"defaultPermissions": null,
"requiredAuthorities": null,
"owner": 870010733,
"name": "users",
"datasourceId": null,
"schema": {
"columns": [
{
"type": "STRING",
"name": "username"
},
{
"type": "STRING",
"name": "email"
}
]
},
"filters": null,
"syncEnabled": true,
"syncRequired": false,
"fullReplaceRequired": false,
"lastSync": null,
"createdOn": "2024-01-15T18:42:30.115Z",
"updatedOn": "2024-01-15T18:42:30.115Z",
"updatedBy": 870010733
}{
"message": "No collection with id a3f7d891-bc24-4e56-9a12-c7e3b0f845d2 found",
"status": 404,
"statusReason": "Not Found",
"toe": "UO3SB982DA-RL9G8-GO8DF"
}Update Collection
Update one or more fields on a collection. All request body fields are optional — only the fields you include are changed.
curl --request PUT \
--url https://{instance}.domo.com/api/datastores/v1/collections/{collectionId} \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"name": "My new name"
}
'{
"id": "232e6d6c-46e9-49b6-a137-8933f0f05999",
"datastoreId": "39b88a97-8247-4c0d-ba1d-8ed78d1a6680",
"defaultPermissions": null,
"requiredAuthorities": null,
"owner": 870010733,
"name": "users",
"datasourceId": null,
"schema": {
"columns": [
{
"type": "STRING",
"name": "username"
},
{
"type": "STRING",
"name": "email"
}
]
},
"filters": null,
"syncEnabled": true,
"syncRequired": false,
"fullReplaceRequired": false,
"lastSync": null,
"createdOn": "2024-01-15T18:42:30.115Z",
"updatedOn": "2024-01-15T18:42:30.115Z",
"updatedBy": 870010733
}{
"message": "No collection with id a3f7d891-bc24-4e56-9a12-c7e3b0f845d2 found",
"status": 404,
"statusReason": "Not Found",
"toe": "UO3SB982DA-RL9G8-GO8DF"
}Authorizations
Domo Developer Token for authentication.
Path Parameters
The ID of the collection to update.
Body
All fields are optional. Only the fields you include are updated; omitted fields are left unchanged.
New name for the collection.
Updated column schema for this collection. Required before enabling DataSet sync. Requires admin privilege. Valid column types: STRING, LONG, DECIMAL, DOUBLE, DATE, DATETIME. The legacy field name schemaJson is also accepted.
Show child attributes
Show child attributes
Whether to enable periodic syncing of documents to a linked Domo DataSet. Returns a 400 if set to true and the collection has no schema — set schema first.
Whether the next DataSet sync should fully replace existing rows rather than upsert.
Comma-separated default permission set for new app grants on this collection. READ is always appended even if omitted. When null or blank, defaults to READ,CREATE_CONTENT,READ_CONTENT,UPDATE_CONTENT,DELETE_CONTENT. Valid values: ADMIN, SHARE, DELETE, WRITE, READ, CREATE_CONTENT, READ_CONTENT, UPDATE_CONTENT, DELETE_CONTENT. Requires admin privilege.
Numeric user ID to set as the collection owner. Requires admin privilege to change.
Maps CollectionOperation names to arrays of authority strings. When set, only users with matching authorities may perform the corresponding operation. Requires admin privilege.
Array of document-level filter predicates applied to read operations on this collection. Requires WRITE permission on the collection.
Response
OK
Unique identifier for the collection.
ID of the datastore this collection belongs to.
Comma-separated default permission set for new app grants on this collection, or null if not set.
Maps CollectionOperation names to required authority strings, or null if not set.
User ID of the collection owner.
Name of the collection.
ID of the linked Domo DataSet, or null if not yet linked.
Show child attributes
Show child attributes
Array of document-level filter predicates applied to read operations, or null if not set.
Whether documents are periodically synced to the linked DataSet.
Whether a sync is pending.

